From ca67d2729c8e0e1934b6eca6c0c5c0ebab519386 Mon Sep 17 00:00:00 2001
From: Brian Weaver <weaver.299@osu.edu>
Date: Thu, 17 Jun 2021 15:22:24 -0400
Subject: [PATCH] Fix login_all.sh

---
 scripts/login_all.sh | 23 +++++++++++++----------
 1 file changed, 13 insertions(+), 10 deletions(-)

diff --git a/scripts/login_all.sh b/scripts/login_all.sh
index a8d18740a0..bb9208f8ea 100644
--- a/scripts/login_all.sh
+++ b/scripts/login_all.sh
@@ -2,15 +2,15 @@
 
 pwd
 
-if [[ ! -r ./scripts/child_site_list.txt ]]; then
-  echo;
-  echo "        ./scripts/child_site_list.txt is missing or not readable.";
-  echo;
-  echo "        Make sure you're executing this script from a location from which";
-  echo "        that relative path is available.";
-  echo;
-  exit 1;
-fi
+# if [[ ! -r ./scripts/child_site_list.txt ]]; then
+#   echo;
+#   echo "        ./scripts/child_site_list.txt is missing or not readable.";
+#   echo;
+#   echo "        Make sure you're executing this script from a location from which";
+#   echo "        that relative path is available.";
+#   echo;
+#   exit 1;
+# fi
 
 COOKIE_DIR="`realpath ~/.curl_cookies`";
 #echo "Cookie dir: $COOKIE_DIR";
@@ -48,7 +48,10 @@
 
 CURL_COMMAND="curl -ksSL -c $COOKIE_JAR -b $COOKIE_JAR -w '%{http_code} %{url_effective}' -o /dev/null";
 
-for site in `cat scripts/child_site_list.txt`; do
+SITES=$(terminus org:site:list ohio-state-arts-and-sciences --upstream=b9baf7af-eb2c-4db5-81e6-32d3d9042572 --tag=D8 --fields=name --format=string | sort);
+echo $SITES;
+
+for site in $SITES; do
   ULI_CMD="terminus remote:drush ${site}.${ENV} uli";
   #echo "ULI_CMD: $ULI_CMD";
 
-- 
GitLab